require "WorldObject"

ProximitySensor = inheritsFrom(WorldObject)
function ProximitySensor:new(callback, x, y, range, detectWhat)
	local self = self:create()
	self.name = "Proximity Sensor"
	self.x = x
	self.y = y

	self.boundingRadius = range or 500
	self.detectWhat = detectWhat or WorldObject


	self.mass = 0
	self.callback = callback
	self.collides = 0
	self.givesCollisions = false --Doesn't affect objects it collides with
	self.visible = 0
	self.status = 1
	return self 
end

function ProximitySensor:update(dt)
	
end
function ProximitySensor:receiveCollision(hit_list, world_object)
	if world_object:isa(self.detectWhat) then self.callback(world_object) end
end
