require "helpers"


WorldObject = inheritsFrom(nil)

WorldObject.x = 0
WorldObject.y = 0
WorldObject.xVel = 0
WorldObject.yVel = 0
WorldObject.heading = 0
WorldObject.mass = 0
WorldObject.hitCircles = nil
WorldObject.name = "WorldObject"
WorldObject.boundingRadius = 1
WorldObject.extraDamage = 0 
WorldObject.givesCollisions = true --If false, don't bother calling "receiveCollision" for other object
WorldObject.receivesCollisions = true

WorldObject.status = 0
WorldObject.visible = true
WorldObject.collides = true
WorldObject.energyIndex = -1 --index in energy list, or -1 if not in list

--function WorldObject:__init() end
function WorldObject:extraDamage(world_object) return 0 end
function WorldObject:draw() end
function WorldObject:update(dt) end
function WorldObject:print() print(self.name) end
function WorldObject:getEmission() return 0 end

function WorldObject:getHeading() return self.heading end
function WorldObject:getX() return self.x end
function WorldObject:getY() return self.y end
function WorldObject:getXYWH() --for camera
	return { self.x, self.y, self.w, self.h }
end
function WorldObject:getCircles() --for collider
	local circle_list = {}
	local temp_circle = {}
	temp_circle.x = self.x
	temp_circle.y = self.y
	temp_circle.r = self.boundingRadius
	circle_list[1] = temp_circle --Add to temp circle listing
	return circle_list
end

function WorldObject:receiveCollision(hit_list, world_object) end
function WorldObject:outOfBounds() self.status = 0 end

