require "string"
--level loader
function loadLevel(world, level)
	local params = {}
	local object1, x, y, xVel, yVel, rVel, heading, extra
	if not love.filesystem.exists(level) then return nil end
	for line in love.filesystem.lines(level) do
		local i = 1
		for param in string.gmatch(line, "%S+") do
			params[i] = param
			i = i+1		
		end

		object = params[1]
		x = tonumber(params[2])
		y = tonumber(params[3])
		xVel = tonumber(params[4])
		yVel = tonumber(params[5])
		rVel = tonumber(params[6])
		heading = tonumber(params[7])
		extra = tonumber(params[8])

	
		if object == 'asteroid' then
			world:spawnAsteroid(x,y,xVel,yVel,rVel,heading,extra)
		elseif object == 'spawnPoint' then
			world:setSpawnPoint(x, y)
		end	 
	end
end
