LOG_TO_FILE = false
LOG_TO_CONSOLE = true

LOG_FILE = nil
LOG_PRIORITY = 2 --ie: log everything above or equal
--10HIGH/Critical
--1LOW
--0Note
if LOG_TO_FILE == true then
	--love.filesystem.setIdentity("fight_data")
	LOG_FILE = love.filesystem.newFile("log.txt")
	print("Logging to:" .. love.filesystem.getSaveDirectory())
	if LOG_FILE:open("w") == false then
		print "Failed to open log file, file logging off, printing to console instead."
		LOG_TO_FILE = false
		LOG_TO_CONSOLE = true
	end
end

function close_log()
	LOG_FILE:close()
end

function log(log_string, priority)
	if not priority then priority = 0 end
	if priority >= LOG_PRIORITY then
		if LOG_TO_FILE == true then 
			LOG_FILE:write(log_string)
		end
		if LOG_TO_CONSOLE == true then
			print(log_string)
		end
	end
end
